$grid_cols: 12;
$sm_min: 576px;
$md_min: 768px;
$lg_min: 992px;
$xl_min: 1200px;
$xxl_min: 1600px;

.container {
    padding: 0 15px;
    max-width: 1000px;
    margin: 0 auto;
}

.row {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

.no-gutters {
    margin-right: 0;
    margin-left: 0;
}

.no-gutters.col.col,
.no-gutters.col[class*="col-"] {
    padding-right: 0;
    padding-left: 0;
}

@mixin col-default {
    position: relative;
    width: 100%;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
}
%col-default {@include col-default;}
.col-default {@extend %col-default;}

@mixin col-auto {
    @include col-default;
    flex: 0 0 auto;
    width: auto;
    max-width: none;
}
%col-auto {@include col-auto;}
.col-auto {@extend %col-auto;}

.col {
    @include col-default;
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;    
}

@for $i from 1 through $grid_cols {
    .col-xs-#{$i} {
        @include col-default;
        flex: 0 0 (100 / ($grid_cols / $i) ) * 1%;
        max-width: (100 / ($grid_cols / $i) ) * 1%;
    }
}

@media (min-width: $sm_min) {
    .col-sm {
        @include col-default;
    }
    .col-auto-sm {
        @include col-auto;
    }
    @for $i from 1 through $grid_cols {
        .col-sm-#{$i} {
            @include col-default;
            flex: 0 0 (100 / ($grid_cols / $i) ) * 1%;
            max-width: (100 / ($grid_cols / $i) ) * 1%;
        }
    }
}

@media (min-width: $md_min) {
    .col-md {
        @include col-default;
    }
    .col-auto-md {
        @include col-auto;
    }
    @for $i from 1 through $grid_cols {
        .col-md-#{$i} {
            @include col-default;
            flex: 0 0 (100 / ($grid_cols / $i) ) * 1%;
            max-width: (100 / ($grid_cols / $i) ) * 1%;
        }
    }
}

@media (min-width: $lg_min) {
    .col-lg {
        @include col-default;
    }
    .col-auto-lg {
        @include col-auto;
    }
    @for $i from 1 through $grid_cols {
        .col-lg-#{$i} {
            @include col-default;
            flex: 0 0 (100 / ($grid_cols / $i) ) * 1%;
            max-width: (100 / ($grid_cols / $i) ) * 1%;
        }
    }
}

@media (min-width: $xl_min) {
    .col-xl {
        @include col-default;
    }
    .col-auto-zl {
        @include col-auto;
    }
    @for $i from 1 through $grid_cols {
        .col-xl-#{$i} {
            @include col-default;
            flex: 0 0 (100 / ($grid_cols / $i) ) * 1%;
            max-width: (100 / ($grid_cols / $i) ) * 1%;
        }
    }
}

@media (min-width: $xxl_min) {
    .col-xxl {
        @include col-default;
    }
    .col-auto-xxl {
        @include col-auto;
    }
    @for $i from 1 through $grid_cols {
        .col-xxl-#{$i} {
            @include col-default;
            flex: 0 0 (100 / ($grid_cols / $i) ) * 1%;
            max-width: (100 / ($grid_cols / $i) ) * 1%;
        }
    }
}